Bug 165143 - LTC14314- PrivilegedExceptionAction failure on x86-64
LTC14314- PrivilegedExceptionAction failure on x86-64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: java-1.4.2-ibm (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
:
Depends On:
Blocks: 156320
  Show dependency treegraph
 
Reported: 2005-08-04 13:28 EDT by Thomas Fitzsimmons
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version: RHBA-2005-297
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 11:38:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Fitzsimmons 2005-08-04 13:28:42 EDT
+++ This bug was initially created as a clone of Bug #150219 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041228
Firefox/1.0 Fedora/1.0-8

Description of problem:
A bug in IBM's implementation of java.security.AccessControlContext was exposed
when trying to get Tomcat running on IBM's x86-64 JVM.


Version-Release number of selected component (if applicable):
java-1.4.2-ibm-1.4.2.1-1jpp_2rh

How reproducible:
Always

Steps to Reproduce:
1. compile AMD64Test.java
2. run "java AMD64Test"


Actual Results:  $ java AMD64Test
os.arch=amd64
os.name=Linux
java.vm.info=J2RE 1.4.2 IBM J9 2.2 Linux amd64-64 j9xa64142-20041210 (JIT enabled)
J9VM - 20041208_2100_LHdSMr
JIT  - r7_level20041130_1809
Exception in thread "main" java.lang.NullPointerException
        at java.security.AccessControlContext.<init>(AccessControlContext.java:68)
        at javax.security.auth.Subject$5.run(Subject.java:728)
        at java.security.AccessController.doPrivileged(AccessController.java:158)
        at javax.security.auth.Subject.createContext(Subject.java:718)
        at javax.security.auth.Subject.doAsPrivileged(Subject.java:709)
        at AMD64Test.main(AMD64Test.java:18)


Expected Results:  $ java AMD64Test
os.arch=amd64
os.name=Linux
java.vm.info=J2RE 1.4.2 IBM J9 2.2 Linux amd64-64 j9xa64142-20041210 (JIT enabled)
J9VM - 20041208_2100_LHdSMr
JIT  - r7_level20041130_1809

(exit status 0)


Additional info:
Comment 3 Red Hat Bugzilla 2005-09-28 11:38:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-297.html

Note You need to log in before you can comment on or make changes to this bug.